Package Details: readability-cli 2.2.4_pre-1

Git Clone URL: https://aur.archlinux.org/readability-cli.git (read-only, click to copy)
Package Base: readability-cli
Description: Firefox Reader Mode in your terminal! - CLI tool for Mozilla's Readability library
Upstream URL: https://www.npmjs.com/package/readability-cli
Keywords: readable reader-mode
Licenses: GPL3
Submitter: gardenappl
Maintainer: gardenappl
Last Packager: gardenappl
Votes: 2
Popularity: 0.21
First Submitted: 2020-08-01 21:49
Last Updated: 2021-04-11 16:03

Latest Comments

gardenappl commented on 2021-01-25 17:44

@Kr1ss Fixed, thank you for pointing this out.

Kr1ss commented on 2021-01-25 13:17

Hi @gardenappl,

thank you for packaging this tool. I've noticed that, in a clean chroot, the build fails with the following log output :

npm ERR! code ENOENT                                                                                                
npm ERR! syscall spawn git                                                                                          
npm ERR! path git                                                                                                   
npm ERR! errno -2                                                                                                   
npm ERR! enoent Error while executing:                                                                              
npm ERR! enoent undefined ls-remote -h -t ssh://git@github.com/gardenappl/yargs.git                                 
npm ERR! enoent                                                                                                     
npm ERR! enoent                                                                                                     
npm ERR! enoent spawn git ENOENT                                                                                    
npm ERR! enoent This is related to npm not being able to find a file.                                               
npm ERR! enoent                                                                                                     

Adding 'git' to the make dependencies array fixes this.

Cheers !